Description

I've noticed how recent versions of Audacious have made some changes to the Winamp skin plugin, some of these (somewhat)

breaking skin looks.

For example: the newer versions omit extra zeroes in the time display (__0:30 instead of _00:30, _0:30 instead of -00:30), which

breaks the skin Fusion AMPdeck - this skin, in an imitation of a 7-segment meter, displays empty spots with an "off" minus sign -- it

works in Winamp, as only the minus sign goes into that single spot in most cases (unless the song goes longer than 99:59, which is

very unlikely), but doesn't in Audacious -- as a result, one can see two "off" minus signs.

I propose a setting, similar to "Playlist -> Show leading zeroes", that would work on the main window's time display. When on, it

would provide the same looks as Winamp, while when off, it will look as it does now.

A different example is how recent versions of Audacious hide the OAIDV bar (at the left of the time / visualization display) unless one

clicks one. This also makes it much harder to click the correct button.

In Winamp, the OAIDV buttons are visible at all times.

This also may need an option: "Show OAIDV buttons:". The possible options could be "on click" (as it is now), "always" (as in

Winamp), "on hover" (something of a middle ground option) and "never" (as in Qmmp).

History

#1 - December 02, 2019 20:56 - John Lindgren

- Status changed from New to Rejected

The skinned UI really needs a new maintainer.  None of the current core developers seem to have much interest in improving it.  Closing.

Files

2013-06-19-151201_275x116_scrot.png 17.2 KB June 19, 2013 Andrei usr_share

Powered by TCPDF (www.tcpdf.org)

July 03, 2025 1/1

http://www.tcpdf.org

